# Class TriangleRenderer

java.lang.Object
org.jmol.g3d.PrecisionRenderer
org.jmol.g3d.TriangleRenderer

All Implemented Interfaces:
  `G3DRenderer`

public class TriangleRenderer extends PrecisionRenderer implements G3DRenderer
renders triangles

currently only renders flat triangles

will probably need performance tuning

Author:
  Miguel, miguel@jmol.org

## Field Summary

### Fields inherited from class PrecisionRenderer

`a, b`

## Constructor Summary

Constructors
Constructor
Description
`TriangleRenderer()`

## Method Summary

Modifier and Type
Method
Description
`G3DRenderer`
`set(JmolRendererInterface g3d, GData gdata)`

### Methods inherited from class PrecisionRenderer

`getZCurrent, setRastAB, setRastABFloat`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TriangleRenderer

public TriangleRenderer()

## Method Details

### set

public G3DRenderer set(JmolRendererInterface g3d, GData gdata)

Specified by:
  `set` in interface `G3DRenderer`